<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.inventoryItem.home.title">inventoryItem</span>
            </h5>
            <p-dataTable
                [value]="inventoryItems"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idInventoryItem"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['inventory-item-new'] } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.inventoryItem.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idOwner'|translate}}" field="idOwner" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idFacility'|translate}}" field="idFacility" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idContainer'|translate}}" field="idContainer" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idProduct'|translate}}" field="idProduct" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idFeature | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.idFeature"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.dateCreated'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreated | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateCreated"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.qty"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.qtyBooking'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtyBooking | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.qtyBooking"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idFrame'|translate}}" field="idFrame" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.idMachine'|translate}}" field="idMachine" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.shipmentReceipt'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.shipmentReceiptId">
                            <a [routerLink]="['../shipment-receipt', rowData.shipmentReceiptId  ]" >{{rowData.shipmentReceiptId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.inventoryItem.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'inventory-item/'+ rowData.idInventoryItem + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'inventory-item/'+ rowData.idInventoryItem + '/delete'} }]"
                                replaceUrl="true"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
